<?php

// QuickTalk 1.5.0.2 build:20080205

switch($oDB->type)
{

case 'mysql':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id int NOT NULL,
  name varchar(50),
  message text NOT NULL,
  postdate datetime NOT NULL,
  userage int NULL,
  useremail varchar(50) NULL,
  postfrom varchar(50) NULL,
  visible char(1) NOT NULL DEFAULT "Y",
  x int NOT NULL DEFAULT 0,
  y int NOT NULL DEFAULT 0,
  z int NOT NULL DEFAULT 0,
  ip varchar(24) NULL,
  PRIMARY KEY (id))';
  break;
  
case 'mssql':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id int NOT NULL CONSTRAINT pk_'.$qtg_prefix.'qtgmessage PRIMARY KEY,
  name varchar(50),
  message text,
  postdate datetime NULL DEFAULT NULL,
  userage int NULL default NULL,
  useremail varchar(50) NULL,
  postfrom varchar(50) NULL DEFAULT NULL,
  visible char(1) NOT NULL DEFAULT "Y",
  x int NOT NULL DEFAULT 0,
  y int NOT NULL DEFAULT 0,
  z int NOT NULL DEFAULT 0,
  ip varchar(24) NULL DEFAULT NULL)';
  break;
  
case 'pg':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id integer,
  name varchar(50),
  message text NOT NULL,
  postdate timestamp NULL DEFAULT NULL,
  userage integer NULL,
  useremail varchar(50) NULL,
  postfrom varchar(50) NULL,
  visible char(1) NOT NULL DEFAULT "Y",
  x int NOT NULL DEFAULT 0,
  y int NOT NULL DEFAULT 0,
  z int NOT NULL DEFAULT 0,
  ip varchar(24) NULL,
  PRIMARY KEY (id))';
  break;

case 'sqlite':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id integer,
  name text,
  message text,
  postdate text,
  userage integer,
  useremail text,
  postfrom text,
  visible text DEFAULT "Y",
  x integer DEFAULT 0,
  y integer DEFAULT 0,
  z integer DEFAULT 0,
  ip text,
  PRIMARY KEY (id))';
  break;
  
case 'ibase': // attention message must be replaced by textmsg
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id integer,
  name varchar(50) default NULL,
  textmsg varchar(32700) default NULL,
  postdate timestamp default NULL,
  userage integer default NULL,
  useremail varchar(50) default NULL,
  postfrom varchar(50) default NULL,
  visible char(1) default "Y",
  x integer default 0,
  y integer default 0,
  z integer default 0,
  ip varchar(24) default NULL,
  PRIMARY KEY (id))';
  break;
  
case 'access':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id int NOT NULL CONSTRAINT pk_'.$qtg_prefix.'qtgmessage PRIMARY KEY,
  name varchar(50),
  message text,
  postdate datetime,
  userage int,
  useremail varchar(50),
  postfrom varchar(50),
  visible char(1),
  x int,
  y int,
  z int,
  ip varchar(24))';
  break;

case 'db2':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id integer NOT NULL,
  name varchar(50),
  message text,
  postdate timestamp,
  userage integer,
  useremail varchar(50),
  postfrom varchar(50),
  visible char(1) NOT NULL DEFAULT "Y",
  x int NOT NULL DEFAULT 0,
  y int NOT NULL DEFAULT 0,
  z int NOT NULL DEFAULT 0,
  ip varchar(24) NULL,
  PRIMARY KEY (id))';
  break;

case 'ifx':
  $strQ = 'CREATE TABLE '.$qtg_prefix.'qtgmessage 
  (id integer,
  name varchar(50),
  message text,
  postdate timestamp,
  userage integer,
  useremail varchar(50),
  postfrom varchar(50),
  visible char(1) default "Y" NOT NULL,
  x int default 0 NOT NULL,
  y int default 0 NOT NULL,
  z int default 0 NOT NULL,
  ip varchar(24),
  PRIMARY KEY (id))';
  break;

default:
  die('Database type ['.$this->type.'] not supported... Must be mysql, mssql, pg, db2, ifx or access');

}

echo '<div style="margin-left:20px; color:blue;">';
$oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qtg_prefix.'qtgmessage',$qtg_database,$qtg_user),'</div>';
  echo '<br /><table cellspacing="0" class="tab_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qtg_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

?>