<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.5.0.2 build:20080205
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name = 'Configuration';

// CHECK LOGIN

if ( !isset($_SESSION['qtgAuth']) ) header('Location: qtg_login.php');
if ( $_SESSION['qtgAuth']!='yes' )  header('Location: qtg_login.php');

// INITIALISE

require_once('bin/qtg_init.php');

include($qtg_language.'/qtg_lang_adm.php');
$gui_skin = $qtg_skin; //conserve the skin setting
$qtg_skin = 'admin';   //override the skin in this page

$name = '';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // Check values.
  // Values must be converted to text to be saved in the config file
  if ( isset($_POST['Fld'][0]) ) { $strFld[0] = 'true'; $qtg_use_age=true;      } else { $strFld[0] = 'false'; $qtg_use_age=false;      }
  if ( isset($_POST['Fld'][1]) ) { $strFld[1] = 'true'; $qtg_use_email=true;    } else { $strFld[1] = 'false'; $qtg_use_email=false;    }
  if ( isset($_POST['Fld'][2]) ) { $strFld[2] = 'true'; $qtg_use_from=true;     } else { $strFld[2] = 'false'; $qtg_use_from=false;     }
  if ( isset($_POST['Bbc'][0]) ) { $strBbc[0] = 'true'; $qtg_bbc_bold=true;     } else { $strBbc[0] = 'false'; $qtg_bbc_bold=false;     }
  if ( isset($_POST['Bbc'][1]) ) { $strBbc[1] = 'true'; $qtg_bbc_italic=true;   } else { $strBbc[1] = 'false'; $qtg_bbc_italic=false;   } 
  if ( isset($_POST['Bbc'][2]) ) { $strBbc[2] = 'true'; $qtg_bbc_underline=true;} else { $strBbc[2] = 'false'; $qtg_bbc_underline=false;}
  if ( isset($_POST['Bbc'][3]) ) { $strBbc[3] = 'true'; $qtg_bbc_url=true;      } else { $strBbc[3] = 'false'; $qtg_bbc_url=false;      }
  if ( isset($_POST['Bbc'][4]) ) { $strBbc[4] = 'true'; $qtg_bbc_smiley=true;   } else { $strBbc[4] = 'false'; $qtg_bbc_smiley=false;   }
  
  if (empty($_POST['skin']))       { $skin = 'default'; }  else { $skin = $_POST['skin']; }
  if (empty($_POST['formattime'])) { $qtg_formattime=''; } else { $qtg_formattime=stripslashes(trim($_POST['formattime'])); }

  // check sitename
  $str = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QTformattitle($str,64);
  if ( !empty($str) ) { $qtg_title = $str; } else { $qtg_error=$L['Site_name'].S.$L['E_invalid']; }
  
  // home url
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['home']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $str = QTformattitle($str,100);
    if ( !empty($str) )
    {
    if ( !ereg('^(http://|https://)',$str) ) $qtg_error = $L['Home_page'].' '.$L['E_invalid'].' (http://)';
    }
    $qtg_home = $str;
  }
  
  // check admin email
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['email']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    if ( QTismail($str) ) { $qtg_email = $str; } else { $qtg_error = $L['Home_email'].S.$L['E_invalid']; }
  }

  // check dateformat
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['formatdate']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    if ( empty($str) ) { $qtg_error='Date format cannot be empty...'; $qtg_formatdate='j-M-Y'; }
    if ( empty($qtg_error) ) $qtg_formatdate = $str;
  }

  // check pagewidth
  if ( empty($qtg_error) )
  {
    $str = strip_tags(trim($_POST['width']));
    if ( substr($str,-1,1)=='%' ) { $percent = '%'; } else { $percent = ''; }
    $str = str_replace('%','',$str);
    if ( !is_numeric($str) )
    {
      $qtg_error = $L['Site_width'].S.$L['E_invalid'].' (500-1024, 50%-100%)';
    }
    else
    {
      if ( $percent=='%' )
      {
      if ( !QTisbetween($str,50,100) ) { $qtg_error = $L['Site_width'].S.$L['E_invalid'].' (500-1024 or 50%-100%)'; }
      }
      else
      {
      if ( !QTisbetween($str,500,1024) ) { $qtg_error = $L['Site_width'].S.$L['E_invalid'].' (500-1024, 50%-100%)'; }
      }
    }
    if ( empty($qtg_error) ) $qtg_pagewidth = $str.$percent;
  }

  // check welcome. html accepted
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['welcome']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
    $qtg_welcome = str_replace('"','&quot;',$str);
  }

  // show_size
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['show_size']);
    if ( !is_numeric($str) )
    {
      $qtg_error = $L['Show_max'].S.$L['E_invalid'].' (50-5000)';
    }
    else
    {
      if ( !QTisbetween($str,50,5000) ) $qtg_error = $L['Show_max'].S.$L['E_invalid'].' (50-5000)';
    }
    $qtg_show_size = $str;
  }

  // page_size
  if ( empty($qtg_error) )
  {
    $str = trim($_POST['page_size']);
    if ( !is_numeric($str) )
    {
      $qtg_error = $L['Post_per_page'].S.$L['E_invalid'].' (1-999)';
    }
    else
    {
      if ( !QTisbetween($str,1,999) ) $qtg_error = $L['Post_per_page'].S.$L['E_invalid'].' (1-999)';
    }
    $qtg_page_size = $str;
  }
  
  $coldefault = $_POST['coldefault'];
  $colchange = $_POST['colchange'];
  $embeded = $_POST['embeded'];
  $banner = $_POST['banner'];
  $separateform = $_POST['separateform'];
  $wording = $_POST['wording'];
  $fromtype = $_POST['fromtype'];
  
  $qtg_language = $_POST['language'];
  if ( !file_exists('language/'.$qtg_language.'/qtg_lang_main.php') )
  {
  $qtg_error = 'Problem to find the file language/'.$qtg_language.'/qtg_lang_main.php. Settings cannot be saved.';
  $qtg_language = 'english';
  }
  if ( !file_exists('language/'.$qtg_language.'/qtg_lang_adm.php') )
  {
  $qtg_error = 'Problem to find the file language/'.$qtg_language.'/qtg_lang_adm.php. Settings cannot be saved.';
  $qtg_language = 'english';
  }
  
  if ( empty($qtg_error) )
  { 
    $filename = "bin/config_display.php";
    $content  = "<?php\r\n";
    $content .= "\$qtg_language = \"$qtg_language\";\r\n";
    $content .= "\$qtg_skin = \"$skin\";\r\n";
    $content .= "\$qtg_formatdate = \"$qtg_formatdate\";\r\n";
    $content .= "\$qtg_formattime = \"$qtg_formattime\";\r\n";
    $content .= "\$qtg_embeded = $embeded;\r\n";
    $content .= "\$qtg_banner = $banner;\r\n";
    $content .= "\$qtg_title = \"$qtg_title\";\r\n";
    $content .= "\$qtg_home = \"$qtg_home\";\r\n";
    $content .= "\$qtg_email = \"$qtg_email\";\r\n";
    $content .= "\$qtg_pagewidth = \"$qtg_pagewidth\";\r\n";
    $content .= "\$qtg_welcome = \"$qtg_welcome\";\r\n";
    $content .= "\$qtg_show_size = $qtg_show_size;\r\n";
    $content .= "\$qtg_page_size = $qtg_page_size;\r\n";
    $content .= "\$qtg_use_age = {$strFld[0]};\r\n";
    $content .= "\$qtg_use_email = {$strFld[1]};\r\n";
    $content .= "\$qtg_use_from = {$strFld[2]};\r\n";
    $content .= "\$qtg_use_from_type = $fromtype;\r\n";
    $content .= "\$qtg_column_default = $coldefault;\r\n";
    $content .= "\$qtg_column_change = $colchange;\r\n";
    $content .= "\$qtg_separateform = $separateform;\r\n";    
    $content .= "\$qtg_bbc_bold = {$strBbc[0]};\r\n";
    $content .= "\$qtg_bbc_italic = {$strBbc[1]};\r\n";
    $content .= "\$qtg_bbc_underline = {$strBbc[2]};\r\n";
    $content .= "\$qtg_bbc_url = {$strBbc[3]};\r\n";
    $content .= "\$qtg_bbc_smiley = {$strBbc[4]};\r\n";
    $content .= "\$qtg_checkword = $wording;\r\n";
    $content .= "?>";
    
    if (!is_writable($filename)) $qtg_error="Impossible to write into the file [$filename].";
    
    if ( empty($qtg_error) )
    {
       if (!$handle = fopen($filename, 'w')) $qtg_error="Impossible to open the file [$filename].";
    }
    if ( empty($qtg_error) )
    {
       if (fwrite($handle, $content) === FALSE)
       {
         $qtg_error = "Impossible to write into the file [$filename].";
       }
       else
       {
         include('language/'.$qtg_language.'/qtg_lang_adm.php');
         $strInfo = $L['Save_successfull'];
         fclose($handle);
       }
    }

  }

}

// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

if ( substr($qtg_language,0,9)!='language/' )
{
$qtg_language = 'language/'.$qtg_language;
}
include($qtg_language.'/qtg_lang_adm.php');

echo '
<h1>&nbsp;',$L[$pg_name],'</h1>
<form method="post" action="qtg_adm_conf.php">
';

echo '
<h2>&nbsp;',$L['Site_settings'],'</h2>
<table width="100%" border="0" cellspacing="0" class="tab_adm">
<tr>
<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="title">',$L['Site_title'],'</label></span></td>
<td class="td_adm" style="width:220px;"><input id="title" name="title" size="30" maxlength="100" value="',$qtg_title,'"></td>
<td class="td_adm_help">',$L['HSite_title'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="home">',$L['Home_page'],'</label></span></td>
<td class="td_adm"><input id="home" name="home" size="30" maxlength="100" value="',$qtg_home,'"></td>
<td class="td_adm_help">',$L['HHome_page'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="email">',$L['Home_email'],'</label></span></td>
<td class="td_adm"><input id="email" name="email" size="30" maxlength="100" value="',$qtg_email,'"></td>
<td class="td_adm_help">',$L['HHome_email'],'</td>
</tr>
</table>
';

echo '
<h2>&nbsp;',$L['Regional_settings'],'</h2>
<table cellspacing="0" class="tab_adm">
<tr>
<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="dateformat">',$L['Date_format'],'</label></span></td>
<td class="td_adm" style="width:220px;">
<input id="formatdate" name="formatdate" size="10" maxlength="24" value="',$qtg_formatdate,'">&nbsp;
<input id="formattime" name="formattime" size="6" maxlength="24" value="',$qtg_formattime,'">
</td>
<td class="td_adm_help">',$L['HDate_format'],'</td>
</tr>
<tr>
';

// Read directory in language
$handle = opendir('language');
$arrFiles = array();
while (false !== ($strFile = readdir($handle)))
{
  if ( $strFile!='.' && $strFile!='..' ) $arrFiles[$strFile] = ucfirst($strFile);
}
closedir($handle);
asort($arrFiles);

echo '<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="language">',$L['Language'],'</label></span></td>
<td class="td_adm" style="width:220px;"><select id="language" name="language">',QTastags($arrFiles,null,substr($qtg_language,9)),'</select></td>
<td class="td_adm_help">',$L['HLanguage'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="wording">',$L['Check_wording'],'</label></span></td>
<td class="td_adm">
<select id="wording" name="wording">
<option value="true" ',($qtg_checkword ? QSEL : ''),'>',$L['Yes'],'</option>
<option value="false" ',(!$qtg_checkword ? QSEL : ''),'>',$L['No'],'</option>
</select>
</td>
<td class="td_adm_help">',$L['HCheck_wording'],'</td>
</tr>
</table>
';

echo '
<h2>&nbsp;',$L['Skin'],'</h2>
<table width="100%" border="0" cellspacing="0" class="tab_adm">
<tr>
<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="width">',$L['Site_width'],'</label></span></td>
<td class="td_adm" style="width:220px;"><input id="width" name="width" size="4" maxlength="4" value="',$qtg_pagewidth,'"></td>
<td class="td_adm_help">',$L['HSite_width'],'</td>
</tr>';

// Read directory in skin
$handle = opendir('skin');
$arrFiles = array();
while (false !== ($strFile = readdir($handle)))
{
  if ( $strFile!='.' && $strFile!='..' ) $arrFiles[$strFile] = ucfirst($strFile);
}
closedir($handle);
asort($arrFiles);

$sel = '';
foreach($arrFiles as $key => $val)
{
  $sel .= '<option value="'.$key.'"'.($gui_skin=='skin/'.$key ? QSEL : '').'>'.$val.'</option>';
}

echo '<tr>
<td class="td_adm_top"><span class="texthead"><label for="skin">',$L['Skin'],'</label></span></td>
<td class="td_adm"><select id="skin" name="skin">',$sel,'</select></td>
<td class="td_adm_help">',$L['HSkin'],'</td>
</tr>
<tr valign="top">
<td class="td_adm_top"><span class="texthead"><label for="welcome">',$L['Welcome'],'</label></span></td>
<td class="td_adm" colspan="2"><textarea name="welcome" id="welcome" cols="64" rows="3">',str_replace('&','&amp;',$qtg_welcome),'</textarea></td>
</tr>
</table>
';

echo '
<h2>&nbsp;',$L['Message_settings'],'</h2>
<table width="100%" border="0" cellspacing="0" class="tab_adm">
<tr>
<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="show_size">',$L['Show_max'],'</label></span></td>
<td class="td_adm" style="width:220px;"><input id="show_size" name="show_size" size="5" maxlength="5" value="',$qtg_show_size,'">&nbsp;',$L['Characters'],'</td>
<td class="td_adm_help">',$L['HShow_max'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="page_size">',$L['Post_per_page'],'</label></span></td>
<td class="td_adm"><input id="page_size" name="page_size" size="2" maxlength="3" value="',$qtg_page_size,'"></td>
<td class="td_adm_help">',$L['HPost_per_page'],'</td>
</tr>
<tr valign="top">
<td class="td_adm_top"><span class="texthead">',$L['Optional_fields'],'</label></span></td>
<td class="td_adm">
<input type="checkbox" id="Fld[0]" name="Fld[0]" value="Age"'.($qtg_use_age ? QCHE : '').' /><label for="Fld[0]"> ',$L['Use_age'],'</label><br />
<input type="checkbox" id="Fld[1]" name="Fld[1]" value="Email"'.($qtg_use_email ? QCHE : '').' /><label for="Fld[1]"> ',$L['Use_email'],'</label>&nbsp;<br />
<input type="checkbox" id="Fld[2]" name="Fld[2]" value="From"'.($qtg_use_from ? QCHE : '').' /><label for="Fld[2]"> ',$L['Use_from'],'</label>&nbsp;
<select id="fromtype" name="fromtype">
<option value="0" ',($qtg_use_from_type==0 ? QSEL : ''),'>',$L['Use_from_0'],'</option>
<option value="1" ',($qtg_use_from_type==1 ? QSEL : ''),'>',$L['Use_from_1'],'</option>
</select>
</td>
<td class="td_adm_help">',$L['HOptional_fields'],'</td>
</tr>
<tr valign="top">
<td class="td_adm_top"><span class="texthead">',$L['BBC_code'],'</label></span></td>
<td class="td_adm">
<input type="checkbox" id="Bbc[0]" name="Bbc[0]" value="Bold"'.($qtg_bbc_bold ? QCHE : '').' /><label for="Bbc[0]"> ',$L['Ico_bold'],'</label><br />
<input type="checkbox" id="Bbc[1]" name="Bbc[1]" value="Italic"'.($qtg_bbc_italic ? QCHE : '').' /><label for="Bbc[1]"> ',$L['Ico_italic'],'</label><br />
<input type="checkbox" id="Bbc[2]" name="Bbc[2]" value="Underline"'.($qtg_bbc_underline ? QCHE : '').' /><label for="Bbc[2]"> ',$L['Ico_under'],'</label><br />
<input type="checkbox" id="Bbc[3]" name="Bbc[3]" value="Url"'.($qtg_bbc_url ? QCHE : '').' /><label for="Bbc[3]"> ',$L['Ico_url'],'</label><br />
<input type="checkbox" id="Bbc[4]" name="Bbc[4]" value="Smiley"'.($qtg_bbc_smiley ? QCHE : '').' /><label for="Bbc[4]"> ',$L['Ico_smiley'],'</label>
</td>
<td class="td_adm_help">',$L['HBBC_code'],'</td>
</tr>
</table>
';
echo '
<h2>&nbsp;',$L['Display_options'],'</h2>
<table width="100%" border="0" cellspacing="0" class="tab_adm">
<tr>
<td class="td_adm_top" style="width:180px;"><span class="texthead"><label for="coldefault">',$L['Column_default'],'</label></span></td>
<td class="td_adm" style="width:220px;">
<select id="coldefault" name="coldefault">
<option value="true" '.($qtg_column_default ? QSEL : '').'>',$L['Yes'],'</option>
<option value="false" '.(!$qtg_column_default ? QSEL : '').'>',$L['No'],'</option>
</select>
</td>
<td class="td_adm_help">',$L['HColumn_default'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="colchange">',$L['Column_change'],'</label></span></td>
<td class="td_adm">
<select id="colchange" name="colchange">
<option value="true" '.($qtg_column_change ? QSEL : '').'>',$L['Yes'],'</option>
<option value="false" '.(!$qtg_column_change ? QSEL : '').'>',$L['No'],'</option>
</select>
<td class="td_adm_help">',$L['HColumn_change'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="embeded">',$L['Embeded'],'</label></span></td>
<td class="td_adm">
<select id="embeded" name="embeded">
<option value="true" '.($qtg_embeded ? QSEL : '').' />',$L['Yes'],'</option>
<option value="false" '.(!$qtg_embeded ? QSEL : '').' />',$L['No'],'</option>
</select></td>
<td class="td_adm_help">',$L['HEmbeded'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="banner">',$L['Banner'],'</label></span></td>
<td class="td_adm">
<select id="banner" name="banner">
<option value="true" '.($qtg_banner ? QSEL : '').'>',$L['Yes'],'</option>
<option value="false" '.(!$qtg_banner ? QSEL : '').'>',$L['No'],'</option>
</select>
</td>
<td class="td_adm_help">',$L['HBanner'],'</td>
</tr>
<tr>
<td class="td_adm_top"><span class="texthead"><label for="separateform">',$L['Separate_form'],'</label></span></td>
<td class="td_adm">
<select id="separateform" name="separateform">
<option value="true" ',($qtg_separateform ? QSEL : ''),'>',$L['Yes'],'</option>
<option value="false" ',(!$qtg_separateform ? QSEL : ''),'>',$L['No'],'</option>
</select>
</td>
<td class="td_adm_help">',$L['HSeparate_form'],'</td>
</tr>
</table>

<p style="text-align:center"><input type="submit" name="ok" value="',$L['Save'],'" /></p>
</form>
';

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>