<?php

/*
 * QuickTalk Guestbook
 *
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license/3_0.txt.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Guestbook
 * @package    QuickTalk Guestbook
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2009 The PHP Group
 * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
 * @version    1.5.0.2 build:20080205
 * @link       http://www.qt-cute/doc/package/qtg
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
$pg_name='';

// CHECK LOGIN

if ( !isset($_SESSION['qtgAuth']) ) header('Location: login.php');
if ( $_SESSION['qtgAuth']!='yes' ) header('Location: login.php');

require_once('bin/qtg_init.php');
include($qtg_language.'/qtg_lang_adm.php');
$qtg_skin='admin';

// CHECK ARGUMENTS

if ( !isset($_GET['y']) ) die ('Missing argument [y]');
if ( !isset($_GET['m']) ) die ('Missing argument [m]');
if ( !isset($_GET['ip']) ) die ('Missing argument [ip]');
if ( !isset($_GET['n']) ) die ('Missing argument [n]');

// READ ARGUMENTS (protection against injection)

$y = substr($_GET['y'],0,4);
$m = substr($_GET['m'],0,3);
$ip= strip_tags(substr($_GET['ip'],0,30));
$n = substr($_GET['n'],0,4);

if ( isset($_GET['f']) ) { $f=substr($_GET['f'],0,3); } else { $f='txt'; }
if ( isset($_GET['h']) ) { $h=substr($_GET['h'],0,1); } else { $h='Y'; }
if ( isset($_GET['s']) ) { $s=substr($_GET['s'],0,1); } else { $s='Y'; }

// --------
// SUBMITTED
// --------

if ( isset($_GET['export']) || isset($_GET['delete']) || isset($_GET['hide']) || isset($_GET['unhide']) )
{  
  // export
  $strWhere = 'id >= 0';
  if ( $y!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere = "YEAR(postdate)=$y"; break;
    case 'mssql': $strWhere = "DATEPART(Yy,postdate)=$y"; break;
    case 'pg':    $strWhere = "EXTRACT(year FROM postdate)=$y"; break;
    case 'ibase': $strWhere = "EXTRACT(YEAR FROM postdate)=$y"; break;
    case 'sqlite':$strWhere = "STRFTIME('%Y',postdate)='$y'"; break;
    case 'access':$strWhere = "YEAR(postdate)=$y"; break;
    case 'db2':   $strWhere = "YEAR(postdate)=$y"; break;
    case 'ifx':   $strWhere = "postdate YEAR TO YEAR = $y"; break;
    default: QTerror('db_type',$oDB->type);
    }
  }
  if ( $m!='all' )
  {
    switch( $oDB->type )
    {
    case 'mysql': $strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'mssql': $strWhere .= " AND DATEPART(Mm,postdate)=$m"; break;
    case 'pg':    $strWhere .= " AND EXTRACT(month FROM postdate)=$m"; break;
    case 'ibase': $strWhere .= " AND EXTRACT(MONTH FROM postdate)=$m"; break;
    case 'sqlite':$strWhere .= " AND STRFTIME('%m',postdate)='".substr(($m)+100,1)."'"; break;
    case 'access':$strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'db2':   $strWhere .= " AND MONTH(postdate)=$m"; break;
    case 'ifx':   $strWhere .= " AND postdate MONTH TO MONTH = $m"; break;
    default: QTerror('db_type',$oDB->type);
    }
  }
  if ( !empty($ip) )
  {
    $strWhere .= " AND ip='$ip'";
  }
}

if ( isset($_GET['export']) )
{   
  $strQ = "SELECT * FROM ".TABMESSAGE." WHERE $strWhere".($h=='N' ? " AND visible='Y'" : '');  
  $oDB->Query($strQ);
  
  header('Content-Type: text/plain; charset='.$L['Html_charset']);
  header('Content-Disposition: attachment; filename="qt_'.date('Ymd').'.'.$f);
  
  // attention firebird exception
  if ( $oDB->type=='ibase' ) { $strField = 'textmsg'; } else { $strField = 'message'; } 

  while ( $row = $oDB->Getrow() )
  {    
    if ( $s=='Y' ) { $strMsg=QTbbc($row[$strField],'deepdrop',false); } else { $strMsg = $row[$strField]; }

    if ( $f=='txt' )
    {
      $strMsg = QThtml2text($strMsg);
      echo $row['name'];
      if ( !empty($row['userage']) )   echo " ({$row['userage']}),";
      if ( !empty($row['useremail']) ) echo " {$row['useremail']},";
      if ( !empty($row['postfrom']) )  echo " ".$row['postfrom'];
      if ( !empty($row['postdate']) )  echo ", ".QTdate($row['postdate'],array('s','datetime',$qtg_formatdate,$qtg_formattime,$L['dateSQL']));
      echo "\r\n\r\n".$strMsg;
      echo "\r\n___________________________\r\n\r\n";
    }
    if ( $f=='csv' )
    {
      $strMsg = '"'.QThtml2text($strMsg,"'").'"';
      $strMsg = str_replace("\r\n","\\\n",$strMsg);
      $strMsg = str_replace("\n","\\\n",$strMsg);
      echo "\r\n".$row['id'].";";
      echo '"'.trim($row['name']).'";';
      if ( !empty($row['userage']) )   echo $row['userage'].';';
      if ( !empty($row['useremail']) ) echo '"'.$row['useremail'].'";';
      if ( !empty($row['postfrom']) )  echo '"'.$row['postfrom'].'";';
      if ( !empty($row['postdate']) )  echo '"'.QTdate($row['postdate'],array('s','datetime',$qtg_formatdate,$qtg_formattime,$L['dateSQL'])).'";';
      echo $strMsg;
    }
  }
  exit;  
}

if ( isset($_GET['delete']) || isset($_GET['hide']) || isset($_GET['unhide']) )
{ 
  include('qtg_p_header.php');
  include('qtg_adm_menu.php');
  if ( isset($_GET['hide']) )   $oDB->Query('UPDATE '.TABMESSAGE.' SET visible="N" WHERE '.$strWhere);
  if ( isset($_GET['unhide']) ) $oDB->Query('UPDATE '.TABMESSAGE.' SET visible="Y" WHERE '.$strWhere);
  if ( isset($_GET['delete']) ) $oDB->Query('DELETE FROM '.TABMESSAGE.' WHERE '.$strWhere);
  echo '<h1>',$L['Update_successfull'],'</h1>';
  echo '
  <p><a id="exiturl" href="qtg_adm_msg.php">',$L['Messages'],'</a></p>
  <script type="text/javascript">
  <!--
  setTimeout(\'window.location=document.getElementById("exiturl").href\',1000);
  -->
  </script>
  ';
  include('qtg_p_footer.php');
  exit;
}


// --------
// HTML START
// --------

include('qtg_p_header.php');
include('qtg_adm_menu.php');

if ( !isset($_GET['a']) ) die ('Missing argument [a]');

if ( $_GET['a']=='Export' )
{
echo "<h1>{$L['Export']} $n {$L['Messages']}</h1>\n";
echo "<p><form method=\"get\" action=\"qtg_adm_medit_exe.php\">\n";
echo "{$L['Format']}&nbsp;<select name=\"f\">\n";
echo "<option value=\"txt\">Text</option>\n";
echo "<option value=\"csv\">CSV</option>\n";
echo "</select>&nbsp;&nbsp;\n";
echo "{$L['Include_hidden']}&nbsp;<select name=\"h\">\n";
echo "<option value=\"Y\">{$L['Yes']}</option>\n";
echo "<option value=\"N\">{$L['No']}</option>\n";
echo "</select>&nbsp;&nbsp;\n";
echo "{$L['Drop_bbc']}&nbsp;<select name=\"s\">\n";
echo "<option value=\"Y\">{$L['Yes']}</option>\n";
echo "<option value=\"N\">{$L['No']}</option>\n";
echo "</select>&nbsp;&nbsp;\n";
echo "<input type=\"hidden\" name=\"y\" value=\"$y\" />\n";
echo "<input type=\"hidden\" name=\"m\" value=\"$m\" />\n";
echo "<input type=\"hidden\" name=\"ip\" value=\"$ip\" />\n";
echo "<input type=\"hidden\" name=\"n\" value=\"$n\" />\n";
echo "<input type=\"submit\" name=\"export\" value=\"{$L['Ok']}\" />\n";
echo "</form></p>\n";
}
if ( $_GET['a']=='Hide' )
{
echo "<h1>{$L['Hide']} $n {$L['Messages']}</h1>\n";
echo "<p><form method=\"get\" action=\"qtg_adm_medit_exe.php\">\n";
echo "<input type=\"hidden\" name=\"y\" value=\"$y\" />\n";
echo "<input type=\"hidden\" name=\"m\" value=\"$m\" />\n";
echo "<input type=\"hidden\" name=\"ip\" value=\"$ip\" />\n";
echo "<input type=\"hidden\" name=\"n\" value=\"$n\" />\n";
echo "<input type=\"submit\" name=\"hide\" value=\"{$L['Hide']} !\" />\n";
echo "</form></p>\n";
}
if ( $_GET['a']=='Unhide' )
{
echo "<h1>{$L['Unhide']} $n {$L['Messages']}</h1>\n";
echo "<p><form method=\"get\" action=\"qtg_adm_medit_exe.php\">\n";
echo "<input type=\"hidden\" name=\"y\" value=\"$y\" />\n";
echo "<input type=\"hidden\" name=\"m\" value=\"$m\" />\n";
echo "<input type=\"hidden\" name=\"ip\" value=\"$ip\" />\n";
echo "<input type=\"hidden\" name=\"n\" value=\"$n\" />\n";
echo "<input type=\"submit\" name=\"unhide\" value=\"{$L['Unhide']} !\" />\n";
echo "</form></p>\n";
}
if ( $_GET['a']=='Delete' )
{
echo "<h1>{$L['Delete']} $n {$L['Messages']}</h1>\n";
echo "<p><form method=\"get\" action=\"qtg_adm_medit_exe.php\">\n";
echo "<input type=\"hidden\" name=\"y\" value=\"$y\" />\n";
echo "<input type=\"hidden\" name=\"m\" value=\"$m\" />\n";
echo "<input type=\"hidden\" name=\"ip\" value=\"$ip\" />\n";
echo "<input type=\"hidden\" name=\"n\" value=\"$n\" />\n";
echo "<input type=\"submit\" name=\"delete\" value=\"{$L['Delete']} !\" />\n";
echo "</form></p>\n";
}

// --------
// HTML END
// --------

include('qtg_p_footer.php');

?>